-- ----------------------------------------------------------------------------
-- Copyright (C) 2011 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
-- 				Authors: Raul Ferrandez, Fabian TP Riek
-- ----------------------------------------------------------------------------
--             Voice Skin: finnish_f

description = "" 
output_type = "audio"
speaker = ""
gender = "f"
travel_mode = "1"
language = "Finnish"
marc_code = "fin"
language_id = "9"
id = "9000"
config_file = "finnish_f/config.lua"
audio_files_path = "finnish_f/finnish_female"
audio_files_version = "0.3.0.2012031601"
feature_list = { "metric", "imperial_uk", "" }
client_range = "[ client >= 1.4.6.0 ; client < 1.7.0.0 ]"

down = 1
up = 2

maneuver_turns = {
    ["NO_TURN"] = {"g5man_001e", "g5man_001"},
    ["KEEP_MIDDLE"] = {"g5man_009e", "g5man_009"},
    ["KEEP_RIGHT"] = {"g5tur_001vare", "g5tur_001var"},
    ["LIGHT_RIGHT"] = {"g5tur_002e", "g5tur_002"},
    ["QUITE_RIGHT"] = {"g5tur_003e", "g5tur_003"},
    ["HEAVY_RIGHT"] = {"g5tur_004e", "g5tur_004"},
    ["RETURN"] = {"g5man_004e", "g5man_004"},
    ["HEAVY_LEFT"] = {"g5tul_004e", "g5tul_004"},
    ["QUITE_LEFT"] = {"g5tul_003e", "g5tul_003"},
    ["LIGHT_LEFT"] = {"g5tul_002e", "g5tul_002"},
    ["KEEP_LEFT"] = {"g5tul_001vare", "g5tul_001var"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

maneuver_check = {
    ["END"] = {"g5ann_001", "g5ann_001"},                          -- you will reach your destination = you've reached your destination
    ["STOPOVER"] = {"g5ann_006", "g5ann_006"},                     -- You will reached a stopover
    ["JUNCTION"] = {nil, nil},                                     -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = {nil, nil},                                -- the junction
    ["ROUNDABOUT"] = {"g5mod_005", "g5mod_005"},                   -- At the roundabout
    ["EXIT_ROUNDABOUT"] = {"g5ext_000e", "g5ext_000"},             -- take the exit
    ["UTURN"] = {"g5man_004e", "g5man_004"},                       -- Make a uturn
    ["ENTER_HIGHWAY"] = {"g5man_005e", "g5man_005"},
    ["LEAVE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},               -- take the exit
    ["CHANGE_HIGHWAY"] = {"g5man_006e", "g5man_006"},
    ["CONTINUE_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},
    ["ENTER_URBAN_HIGHWAY"] = {"g5man_005e", "g5man_005"},
    ["LEAVE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},         -- take the exit
    ["CHANGE_URBAN_HIGHWAY"] = {"g5man_006e", "g5man_006"},
    ["CONTINUE_URBAN_HIGHWAY"] = {"g5ext_000e", "g5ext_000"},
    ["DRIVE_TO_NEAREST_ROAD"] = {"g5serv_001", "g5serv_001"},       -- drive to nearest road 
    ["FERRY"] = {"g5serv_004e", "g5serv_004"}
}

exit_number_check = {
    [1] = {"g5ext_001e","g5ext_001"},                   -- take the first exit
    [2] = {"g5ext_002e","g5ext_002"},                   -- take the second exit
    [3] = {"g5ext_003e","g5ext_003"},                   -- take the third exit
    [4] = {"g5ext_004e","g5ext_004"},                   -- take the fourth exit
    [5] = {"g5ext_005e","g5ext_005"},                   -- take the fifth exit
    [6] = {"g5ext_006e","g5ext_006"},                   -- take the sixth exit
    [7] = {"g5ext_007e","g5ext_007"},                   -- take the seventh exit
    [8] = {"g5ext_008e","g5ext_008"},                   -- take the eighth exit
    [9] = {"g5ext_009e","g5ext_009"},                   -- take the ninth exit 
    [10] = {"g5ext_010e","g5ext_010"},                  -- take the tenth exit 
    [11] = {"g5ext_011e","g5ext_011"},                  -- take the tenth exit 
    [12] = {"g5ext_012e","g5ext_012"}                   -- take the tenth exit 
}

-- distances in nominativ [1]

distances = {
    [50] = "g5num_n_050",
    [100] = "g5num_n_100",
    [150] = "g5num_n_150", 
    [200] = "g5num_n_200", 
    [250] = "g5num_n_250",
    [300] = "g5num_n_300",
    [400] = "g5num_n_400", 
    [500] = "g5num_n_500", 
    [600] = "g5num_n_600", 
    [700] = "g5num_n_700",
    [800] = "g5num_n_800", 
    [900] = "g5num_n_900", 
    [1] = "g5num_n_001",
    [2] = "g5num_n_002", 
    [3] = "g5num_n_003",
    [4] = "g5num_n_004", 
    [5] = "g5num_n_005",
    [6] = "g5num_n_006", 
    [7] = "g5num_n_007", 
    [8] = "g5num_n_008",
    [9] = "g5num_n_009", 
    [10] = "g5num_n_010"
}


unit_n_p = {                                    -- Intonation down, intonation up
    ["MILE"] = {"g5unt_n_004","g5unt_n_004"},
    ["YARDS"] = {"g5unt_p_003","g5unt_p_003"},
    ["KILOMETER"] = {"g5unt_n_002","g5unt_n_002"},
    ["METERS"] = {"g5unt_p_001","g5unt_p_001"},
    ["METER"] = {nil, nil},
    ["KILOMETERS"] = {"g5unt_p_002e","g5unt_p_002"},
    ["MILES"] = {"g5unt_p_004e","g5unt_p_004"},
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

misc = { 
    ["beep_sound"] = "beep",
    ["gps_signal_lost_wav"] = "g5war_027e",
    ["gps_signal_restored_wav"] = "g5war_010e",
    ["no_gps_signal_wav"] = "g5war_028e",
    ["route_recalculation_wav"] = "g5war_012e",
    ["now_wav"] = "g5mod_006",
    ["destination_wav"] = "g5ann_001",
    ["stopover_wav"] = "g5ann_004",
    ["end_of_street_wav"] = "g5mod_004",
    ["follow_hwy_wav"] = "g5man_008e_alt1",
    ["follow_road_e_wav"] = "g5man_002e_alt1",
    ["follow_road_wav"] = "g5man_002_alt1",
    ["for_wav"] = "g5pre_002e",
    ["roundabout_wav"] = "g5mod_005",
    ["after_wav"] = "g5extr_003",
    ["after_junction_wav"] = "g5pre_003_alt1",      -- jlkeen
    ["and_wav"] = "g5con_002",
    ["the_junction_wav"] = "g5mod_017",             -- Risteyksen
    ["second_right_wav"] = "g5tur_006e",
    ["second_left_wav"] = "g5tul_006e",
    ["immediately_wav"] = "g5mod_008",
    ["safety_camara_ahead_wav"] = "g5war_037e",
    ["over_speed_limit_wav"] = "g5war_speed_limit_soft4edit9",
    ["traffic_automatic_detour_wav"] = "g5war_018e",
    ["traffic_manual_detour_wav"] = "g5war_017e",
    ["no_detour_possible"] = "g5war_021e",
    ["turn_wav"] = "g5turns_turn",
    ["right_wav"] = "g5tur_single_003e",
    ["left_wav"] = "g5tul_single_003e",
    ["and_then_wav"] = "g5con_001"
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }

check_files = { maneuver_turns, maneuver_check, exit_number_check, distances, unit_g, unit_n_p, misc }
